Blender 2.34 + Yafray 0.07 not working cygwin not found?????

I cant seem to get Blender 2.34 and the latest Yafray to work, i keep getting a
cygwin1.dll error when trying to render?

on win xp, i have installed yafray using the windows installer, do i need to complile it?

Help!!!

cheers

UPDATE:

Make sure that all previous versions of yafray are removed, i actually deleted the directories on my HD as well as uninstalling